function val = btd_CpG(s)
    
  // CpG Islands
  // 
  // Calling Sequence
  //   y = btd_CpG ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a DNA sequence
  //   y : Count of 'GC' dinucleotides 
  // 
  // Description
  // To count 'GC' dinucleotides in  a DNA sequence
  // 
  // Examples
  // y = btd_CpG("ATCGATCGATCGTATATGCTAGCTA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015
   
    
    l = length(s);
    CG = regexp(s, '/GC/');
    val = length(CG);
endfunction

