function Out = btd_DNAword( x,y)
    
  // DNA Word
  // 
  // Calling Sequence
  //   y = btd_DNAword ( x1, x2 )
  // 
  // Parameters
  //   x1 : String of single-letter codes specifying a DNA sequence
  //   x2 : DNA pattern
  //   y  : Number and Distribution of given DNA word
  // 
  // Description
  // To display the number and position of DNA pattern.
  // 
  // Examples
  // y = btd_DNAword("ACTCTAGCTACT","ACT")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015


    
    a = strindex(x,y);
    //to calculate number of occurence
    Len=length(a);
    
     b(1) = "No of DNA words        :  ";
     b(2) = string(Len);
     
     Out(1) = strcat(b);
     
     c(1) = "Positions of DNA words :  ";
     c(2) = strcat(string(a), ' ');
     
     Out(2) = strcat(c);
    
endfunction
