function numsq = btd_aa2int(n)
    
  // Amino acid sequence Integer 
  // 
  // Calling Sequence
  //   y = btd_aa2int ( x )
  // 
  // Parameters
  //   x : An amino acid string sequence
  //   y : Amino acid sequence specified by a row vector of integers.
  // 
  // Description
  // Convert each amino acid in the given sequence from letter to the respective integer representation.
  // 
  // Examples
  // y = btd_aa2int('AGCTTGGCAAT')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015
    
    l = length(n);
    arr = mstr2sci(n);
    
    for i = 1:l
        select arr(i)
        case "A" then
            out(1,i) = 1;
        case "R" then
            out(1,i) = 2;
        case "N" then
            out(1,i) = 3;
        case "D" then
            out(1,i) = 4;
        case "C" then
            out(1,i) = 5;
        case "Q" then
            out(1,i) = 6;
        case "E" then
            out(1,i) = 7;
        case "G" then
            out(1,i) = 8;
        case "H" then
            out(1,i) = 9;
        case "I" then
            out(1,i) = 10;
        case "L" then
            out(1,i) = 11;
        case "K" then
            out(1,i) = 12;
        case "M" then
            out(1,i) = 13;
        case "F" then
            out(1,i) = 14;
        case "P" then
            out(1,i) = 15;
        case "S" then
            out(1,i) = 16;
        case "T" then
            out(1,i) = 17;
        case "W" then
            out(1,i) = 18;
        case "Y" then
            out(1,i) = 19;
        case "V" then
            out(1,i) = 20;
        case "B" then
            out(1,i) = 21;
        case "Z" then
            out(1,i) = 22;
        case "X" then
            out(1,i) = 23;
        case "*" then
            out(1,i) = 24;
        case "-" then
            out(1,i) = 25;
        else
            out(1,i) = 0;
        end
    end
    numsq = out;
endfunction
