function proportion = btd_aadensity(x)
    
  // Amino Acid Density
  // 
  // Calling Sequence
  //   y = btd_aadensity ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying an amino acid sequence 
  //   y : Bar Graph representing density of amino acids 
  // 
  // Description
  //  Plot the density of aminoacids along the given sequence x.and display its proportion
  // 
  // Examples
  // y = btd_aadensity("ADKIIILPPMMMMMMMVQQRSTTT")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015


    //P = proportion of each amino acid

    str1 = strcat(x,"","c");//concatenate the columns
    str2 = strcat(str1,"","r");//concatenate the rows
    str3 = mstr2sci(str2);
    n = size(str3,"c");
     
    d = mstr2sci('ACDEFGHIKLMNPQRSTVWY');
    m = size(d,"c");
    
    //To find the number of each nucleotide present
    naa = zeros(m,1);
    for i=1:m;
        naa(i) = length(find(str3==d(i)));
    end;
    
    //To calculate the proportion of each nucleotide
    proportion= naa/n;
    
    //To plot the proportion of each nucleotide in the given sequence
    bar(1:m,proportion);
    set(gca(),"data_bounds",matrix([0,21,0,1],2,-1));//User can change the axis bounds accordingly!!!
    a=get("current_axes")
    a.x_ticks = tlist(["ticks"], (0:20)', ["$ $";"$A$";"$C$";"$D$";"$E$";"$F$";"$G$";"$H$";"$I$";"$K$";"$L$";"$M$";"$N$";"$P$";"$Q$";"$R$";"$S$";"$T$";"$V$";"$W$";"$Y$"]);
    
    //User can change the following things according to their preference and requirement.
    //...................................................................................
    a.font_color = 5;
    a.font_size = 3;
    
    legend(': AMINO ACIDS')
    title('Proportions of Each Amino Acid',"fontsize",4,"color","red")
    ylabel('PROPORTION',"fontsize",4,"color","red")
    //...................................................................................

endfunction
