function val = btd_atcontent(s)
    
  // AT content of DNA Sequence
  // 
  // Calling Sequence
  //   y = btd_atcontent ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a DNA sequence
  //   y : Fraction of A+T bases of given DNA sequence
  // 
  // Description
  // To calculate AT content of a DNA sequence
  // 
  // Examples
  // y = btd_atcontent("ATCGATCGATCGTATATGCTAGCTA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015

    l = length(s);
    n = strsubst(s, 'U', 'T');
    seq = mstr2sci(n);
    
    A = grep(seq, 'A');
    T = grep(seq, 'T');
    
    Ta = length(A);
    Tt = length(T);
    
    tot = Ta + Tt;
    
    a(1) = string((tot/l)*100);
    a(2) = " % "
    val = strcat(a);
    
endfunction

