function val = btd_basecomp(x,y)
    
  // Base Composition
  // 
  // Calling Sequence
  //   y = btd_basecomp ( x1, x2 )
  // 
  // Parameters
  //   x1 : String of single-letter codes specifying a DNA sequence
  //   x2 : Nucleotide Base
  //   y  : Frequency of given nucleotide base
  // 
  // Description
  // To compute frequency of indicidual nucleotide
  // 
  // Examples
  // y = btd_basecomp("ACTCTAGCTACT","A")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015

    l=length(x);
    seq=mstr2sci(x);
    no = grep(seq, y);
    val = length(no);
endfunction
