function val = btd_codoncount (ip)    
    
  // Codon Count
  // 
  // Calling Sequence
  //   y = btd_codoncount ( x )
  // 
  // Parameters
  //   x : String of codes specifying a nucleotide sequence
  //   y : Structure containing fields for the 64 possible codons (AAA, AAC, AAG, ..., TTG, TTT), with their counts
  // 
  // Description
  // To Count codons in a nucleotide sequence
  // 
  // Examples
  // y = btd_codoncount("AAAAAACTC")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015

    l = length(ip);
    a = 1;
    b = 3;
    j = 1;
    while(b<=l)
        temp(j) = part(ip, a:b);
        j = j+1;
        a = b+1;
        b = b+3;
    end
    
    m = tabul(temp);
    [occ, p] = gsort(m(2));
    val = [m(1)(p) string(occ)];
endfunction
