function count =btd_codonusage(DNA,RF)
    
    
  // Codon Usage
  // 
  // Calling Sequence
  //   y = btd_codonusage ( x1, x2 )
  // 
  // Parameters
  //   x1 : String of single-letter codes specifying a DNA/RNA sequence
  //   x2 : Reading Frame (1/2/3/4/5/6)
  //   y  : Frequency of each codon type
  // 
  // Description
  // To count the frequency of each codon type
  // 
  // Examples
  // y = btd_codonusage("ATCGATCGATCGTATATGCTAGCTA",1)
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015

    
    //to substitute T by U
    seq=strsubst(DNA,"T","U");
    rseq=strrev(seq);
    len=length(seq);
    len1=length(rseq);
    a=1;
    b=3;
    j=1;
    s2=part(seq,2:len);
    s3=part(seq,3:len);
    s5=part(rseq,2:len1);
    s6=part(rseq,3:len1);
    if (RF==1) then
        //count using tabul function
        while(b<len) 
            temp(j) = part(seq,a:b);
            j=j+1;
            a=b+1;
            b=b+3;   
        end
        m = tabul(temp);
        [occ , p] = gsort(m(2));
        count = [m(1)(p) string(occ)];
    //Readinf Frame 2
    elseif (RF==2)
        //count using tabul function
        while(b<length(s2))
            temp(j) = part(s2,a:b);
            j=j+1;
            a=b+1;
            b=b+3;   
        end
        m = tabul(temp)
        [occ , p] = gsort(m(2));
        count = [m(1)(p) string(occ)];
    //Readinf Frame 3
    elseif (RF==3)
        //count using tabul function
        while(b<length(s3)) 
            temp(j) = part(s3,a:b);
            j=j+1;
            a=b+1;
            b=b+3;   
        end
        m = tabul(temp);
        [occ , p] = gsort(m(2));
        count = [m(1)(p) string(occ)];
    //Readinf Frame 4
    elseif(RF==4)
        //count using tabul function
        while(b<len1) 
            temp(j) = part(rseq,a:b);
            j=j+1;
            a=b+1;
            b=b+3;   
        end
        m = tabul(temp);
        [occ , p] = gsort(m(2));
        count = [m(1)(p) string(occ)];
    //Readinf Frame 5
    elseif(RF==5)
        //count using tabul function
        while(b<length(s5)) 
            temp(j) = part(s5,a:b);
            j=j+1;
            a=b+1;
            b=b+3;   
        end
        m = tabul(temp);
        [occ , p] = gsort(m(2));
        count = [m(1)(p) string(occ)];
    //Readinf Frame 6
    else (RF==6)
        //count using tabul function
        while(b<length(s6)) 
            temp(j) = part(s6,a:b);
            j=j+1;
            a=b+1;
            b=b+3;   
        end
        m = tabul(temp);
        [occ , p] = gsort(m(2));
        count = [m(1)(p) string(occ)];
        end
endfunction
