function val = btd_dna2rna(n)
    
  // DNA to RNA
  // 
  // Calling Sequence
  //   y = btd_dna2rna ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a DNA sequence
  //   y : RNA sequence
  // 
  // Description
  // Convert DNA sequence to RNA sequence
  // 
  // Examples
  // y = btd_dna2rna('AGCTTGGCAAT')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015

    l = length(n);
    a = mstr2sci(n);                  
        
    for i = 1:l
        if a(i) == 'T' then
            out(i) = 'U'
        else
            out(i) = a(i);
        end
    end   
    
    val = strcat(out);

endfunction
