function val = btd_gccontent(s)
    
  // GC content of DNA Sequence
  // 
  // Calling Sequence
  //   y = btd_gccontent ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a DNA sequence
  //   y : Fraction of G+C bases of given DNA sequence
  // 
  // Description
  // To calculate GC content of a DNA sequence
  // 
  // Examples
  // y = btd_gccontent("ATCGATCGATCGTATATGCTAGCTA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015

    
    l = length(s);
    seq = mstr2sci(s);
    
    G = grep(seq, 'G');
    C = grep(seq, 'C');
    
    Tg = length(G);
    Tc = length(C);
    
    tot = Tg + Tc;
    a(1) = string((tot/l)*100);
    a(2) = " % ";
    
    val = strcat(a);
endfunction
