function seq = btd_getgenbank(n)
  // Get GenBank
  // 
  // Calling Sequence
  //    btd_getgenbank ( x )
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   
  // 
  // Description
  // Retrieve sequence information from GenBank database
  // 
  // Examples
  //  btd_getgenbank('M10051')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015


    out(1) = 'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi?db=nuccore&id=';
    out(2) = string(n);
    out(3) = '&rettype=gb&retmode=text';
    inseq = strcat(out);
    seq = getURL(inseq);
endfunction
