function seq = btd_getgenpept(n)
  // Get GenPept
  // 
  // Calling Sequence
  //    btd_getgenpept ( x )
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   
  // 
  // Description
  // Retrieve sequence information from GenPept database
  // 
  // Examples
  //  btd_getgenbank('AAA59174')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015

    
    out(1) = 'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi?db=protein&id=';
    out(2) = string(n);
    out(3) = '&rettype=gb&retmode=text';
    inseq = strcat(out);
    seq = getURL(inseq);
endfunction

