function seq = btd_getpdb(n)
  // Get GenPDB
  // 
  // Calling Sequence
  //    btd_getPDB ( x )
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   
  // 
  // Description
  // Retrieve protein structure data from Protein Data Bank (PDB) database
  // 
  // Examples
  //  btd_getPDB('5CYT')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015


    out(1) = 'http://www.rcsd.org/pdb/downloadFile.do?fileFormat=pdb&compression=NO&structureId=';
    out(2) = string(n);
    //out(3) = '&download=txt';
    inseq = strcat(out);
    seq = getURL(inseq);
endfunction



