function sqnum = btd_int2aa(n)
    
  // Integer to Amino Acid
  // 
  // Calling Sequence
  //   y = btd_int2aa ( x )
  // 
  // Parameters
  //   x : Row vector of integers specifying an amino acid sequence.
  //   y : Amino acid sequence specified by a string of single-letter codes
  // 
  // Description
  // Convert amino acid sequence from integer to letter representation
  // 
  // Examples
  // y = btd_int2aa([1 8 5 17 17 8 8 5 1 1 17])
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015

    l = length(n);
    //arr = mstr2sci(n);
    
    arr = n;
    for i = 1:l
        select arr(i)
        case 1 then
            out(1,i) = 'A';
        case 2 then
            out(1,i) = 'R';
        case 3 then
            out(1,i) = 'N';
        case 4 then
            out(1,i) = 'D';
        case 5 then
            out(1,i) = 'C';
        case 6 then
            out(1,i) = 'Q';
        case 7 then
            out(1,i) = 'E';
        case 8 then
            out(1,i) = 'G';
        case 9 then
            out(1,i) = 'H';
        case 10 then
            out(1,i) = 'I';
        case 11 then
            out(1,i) = 'L';
        case 12 then
            out(1,i) = 'K';
        case 13 then
            out(1,i) = 'M';
        case 14 then
            out(1,i) = 'F';
        case 15 then
            out(1,i) = 'P';
        case 16 then
            out(1,i) = 'S';
        case 17 then
            out(1,i) = 'T';
        case 18 then
            out(1,i) = 'W';
        case 19 then
            out(1,i) = 'Y';
        case 20 then
            out(1,i) = 'V';
        case 21 then
            out(1,i) = 'B';
        case 22 then
            out(1,i) = 'Z';
        case 23 then
            out(1,i) = 'X';
        case 24 then
            out(1,i) = '*';
        case 25 then
            out(1,i) = '-';
        else
            out(1,i) = '?';
        end
    end
    
    sqnum = out;
endfunction
