function val = btd_kmer (seq, n)
    
  // K-mer
  // 
  // Calling Sequence
  //   y = btd_kmer ( x1, x2 )
  // 
  // Parameters
  //   x1 : String of single-letter codes specifying a DNA sequence
  //   x2 : DNA word/substring length
  //   y  : Count of DNA word/substring 
  // 
  // Description
  // To count the number of occurence of given DNA word/substring
  // 
  // Examples
  // y = btd_kmer("ATCGATCGATCGTATATGCTAGCTA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Biji C L, 2015


    l = length(seq);
    a = 1;
    b = n;
    j = 1;
    while(b<l)
        temp(j) = part(seq,a:b);
        j=j+1;
        a=b+1;
        b=b+n;     
    end

    m = tabul(temp)
    [occ , p] = gsort(m(2));
    val = [m(1)(p) string(occ)];
endfunction

