function lcd=btd_lcdensity(x)
    
  // Linear Charge Density
  // 
  // Calling Sequence
  //   y = btd_isoelectricpoint(x)
  // 
  // Parameters
  //   x : String of single-letter codes specifying an amino acid sequence
  //   y : Linear Charge Density of amino acid sequence
  // 
  // Description
  //  Linear Charge Density of aminoacid sequence 
  // 
  // Examples
  // y = btd_lcdensity('ACDEFGHIKLMNPQRSTVWY')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015


    l=length(x);
    seq=mstr2sci(x);
    
    D=grep(seq,"D");
    E=grep(seq,"E");
    H=grep(seq,"H");
    K=grep(seq,"K");
    R=grep(seq,"R");
    
    Di=length(D);
    Ei=length(E);
    Hi=length(H);
    Ki=length(K);
    Ri=length(R);
    
    //to find linear charge density
    lcd=(Ki+Ri+Di+Ei+Hi+2)/l;
    
endfunction
