function protein=btd_nt2aa(n)

  // Nucleotide Sequence to Amino Acid Sequence
  // 
  // Calling Sequence
  //   y = btd_nt2aa ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a nucleotide sequence
  //   y : Amino acid sequence specified by a string of single-letter codes
  // 
  // Description
  // Convert nucleotide sequence to amino acid sequence
  // 
  // Examples
  // y = btd_nt2aa('AAAGCTGAACCTTTGCTGCAGGA')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015

    seq=strsubst(n,"T","U");
    disp(sprintf("transcribed DNA is %s",seq));
    
    for i=1:3:length(seq)
        codon = part(seq,[i:i+2]);
    
        if(codon=="AUG") then
            out(i)="M"
        elseif(codon=="GCA" | codon=="GCC" | codon=="GCG" | codon=="GCU")
           out(i)="A";
        elseif(codon=="UGC" | codon=="UGU")
            out(i)="C";
        elseif(codon=="GAC" | codon=="GAU" )
            out(i)="D";
        elseif(codon=="GAA" | codon=="GAG")
            out(i)="E";
        elseif(codon=="UUC" | codon=="UUU")
            out(i)="F";
        elseif(codon=="GGA" | codon=="GGC" | codon=="GGG" | codon=="GGU")
            out(i)="G";
        elseif(codon=="CAC" | codon=="CAU")
            out(i)="H";
        elseif(codon=="AUA" | codon=="AUC" | codon=="AUU")
            out(i)="I";
        elseif(codon=="AAA" | codon=="AAG")
            out(i)="K";
        elseif(codon=="UUA" | codon=="UUG" | codon=="CUA" | codon=="CUC" | codon=="CUG" | codon=="CUU")
            out(i)="L";
        elseif(codon=="AAC" | codon=="AAU")
            out(i)="N";
        elseif(codon=="CCA" | codon=="CCC" | codon=="CCG" | codon=="CCU")
            out(i)="P";
        elseif(codon=="CAA" | codon=="CAG")
            out(i)="Q";
        elseif(codon=="CGA" | codon=="CGC" | codon=="CGG" | codon=="CGU" | codon=="AGA" | codon=="AGG")
            out(i)="R";
        elseif(codon=="UCA" | codon=="UCC" | codon=="UCG" | codon=="UCU" | codon=="AGC" | codon=="AGU")
            out(i)="S";
        elseif(codon=="ACA" | codon=="ACC" | codon=="ACG" | codon=="ACU")
            out(i)="T";
        elseif(codon=="GUA" | codon=="GUC" | codon=="GUG" | codon=="GUU")
            out(i)="V";
        elseif(codon=="UGG")
            out(i)="W";
        elseif( codon=="UAC" | codon=="UAU")
            out(i)="Y";
        elseif(codon=="UAA" | codon=="UAG" | codon=="UGA")
            out(i)="_";
        else
            out(i)=" ";
        end
    end
    protein=strcat(out);
endfunction

