function Out=btd_packingvolume(x)
    
  // Volume of Amino Acid Sequence
  // 
  // Calling Sequence
  //   y = btd_packingvolume ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying an amino acid sequence 
  //   y : Volume of amino acid sequence
  // 
  // Description
  //  Approximate Volume of aminoacid sequence and its unit is A3
  // 
  // Examples
  // y = btd_packingvolume('ACDEFGHIKLMNPQRSTVWY')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015


    l=length(x);
    seq=mstr2sci(x);
    
    A=grep(seq,"A");
    B=grep(seq,"B");
    C=grep(seq,"C");
    D=grep(seq,"D");
    E=grep(seq,"E");
    F=grep(seq,"F");
    G=grep(seq,"G");
    H=grep(seq,"H");
    I=grep(seq,"I");
    K=grep(seq,"K");
    L=grep(seq,"L");
    M=grep(seq,"M");
    N=grep(seq,"N");
    P=grep(seq,"P");
    Q=grep(seq,"Q");
    R=grep(seq,"R");
    S=grep(seq,"S");
    T=grep(seq,"T");
    V=grep(seq,"V");
    W=grep(seq,"W");
    Y=grep(seq,"Y");
    Z=grep(seq,"Z");
    
    //to find mol wt of type i
    Ai=length(A);
        PVa=Ai*88.6;
    Ci=length(C);
        PVc=Ci*108.5;
    Di=length(D);
        PVd=Di*111.1;
    Ei=length(E);
        PVe=Ei*138.4;
    Fi=length(F);
        PVf=Fi*189.9;
    Gi=length(G);
        PVg=Gi*60.1;
   Hi=length(H);
        PVh=Hi*153.2;
    Ii=length(I);
        PVi=Ii*166.7;
    Ki=length(K);
        PVk=Ki*168.6;
    Li=length(L);
        PVl=Li*166.7;
    Mi=length(M);
        PVm=Mi*162.9;
    Ni=length(N);
        PVn=Ni*117.7;
    Pi=length(P);
        PVp=Pi*122.7;
    Qi=length(Q);
        PVq=Qi*143.9;
    Ri=length(R);
        PVr=Ri*173.4;
    Si=length(S);
        PVs=Si*89.0;
    Ti=length(T);
        PVt=Ti*116.1;
    Vi=length(V);
        PVv=Vi*140.0;
    Wi=length(W);
        PVw=Wi*227.8;
    Yi=length(Y);
        PVy=Yi*193.6;

    PV=PVa+PVc+PVd+PVe+PVf+PVg+PVh+PVi+PVk+PVl+PVm+PVn+PVp+PVq+PVr+PVs+PVt+PVv+PVw+PVy;
    Out(1,1)="Approximate Packing Volume:";
    Out(1,2)=string(PV);
    Out(1,3)="Å^3";
    
endfunction
