function R=btd_proteinradius(x)
    
  // Radius of Amino Acid Sequence 
  // 
  // Calling Sequence
  //   y = btd_proteinradius ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying an amino acid sequence 
  //   y : Radius of amino acid sequence
  // 
  // Description
  //  Radius of aminoacid sequence and its unit is Å
  // 
  // Examples
  // y = btd_proteinradius('ACDEFGHIKLMNPQRSTVWY')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015

    l=length(x);
    R = 3.875*(l^0.333);
    
endfunction
