function val = btd_purinecomp (s)

  // Purine Composition
  // 
  // Calling Sequence
  //   y = btd_purinecomp ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a DNA/RNA sequence
  //   y : Percentage composition of adenine and guanine bases
  // 
  // Description
  // To calculate percentage composition of adenine and guanine bases
  // 
  // Examples
  // y = btd_purinecomp("ATCGATCGATCGTATATGCTAGCTA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015


    l = length(s);
    seq = mstr2sci(s);
    A = grep(seq, 'A');
    G = grep(seq, 'G');
    
    Ta = length(A);
    Tg = length(G);
    tot = Ta + Tg;
    
    a(1) = string((tot/l)*100);
    a(2) = " % ";
    
    val = strcat(a);
    
   
    
endfunction

