function val = btd_pyrimidinecomp(s)
    
  // Pyrimidine Composition
  // 
  // Calling Sequence
  //   y = btd_pyrimidinecomp ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a DNA/RNA sequence
  //   y : Percentage composition of cytosine and thymine bases
  // 
  // Description
  // To calculate percentage composition of cytosine and thymine bases
  // 
  // Examples
  // y = btd_pyrimidinecomp("ATCGATCGATCGTATATGCTAGCTA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015


    l = length(s);
    seq = mstr2sci(s);
    
    C = grep(seq, 'C');
    T = grep(seq, 'T');
    
    Tc = length(C);
    Tt = length(T);

    tot = Tc + Tt;
    
    a(1) = string((tot/l)*100);
    a(2) = " % ";
    
    val = strcat(a);
    

endfunction
