function rseq = btd_randprotseq(n)
    
  // Random Protein Sequence 
  // 
  // Calling Sequence
  //   y = btd_randprotseq ( x )
  // 
  // Parameters
  //   x : Integer that specifies the number of proteins in the random sequence
  //   y : A random protein sequence with a length specified x
  // 
  // Description
  // To generate random protein sequence from finite alphabet
  // 
  // Examples
  // y = btd_randprotseq(10)
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015


    for i = 1:n
        k = grand(1, "prm", (['G' 'P' 'A' 'V' 'L' 'I' 'M' 'C' 'F' 'Y' 'W' 'H' 'K' 'R' 'Q' 'N' 'E' 'D' 'S' 'T'])')';
        out(i) = k(1:1);
    end
    rseq = strcat(out);
endfunction
