function rho = btd_rho (x, y)
    
  // Rho
  // 
  // Calling Sequence
  //   y = btd_rho ( x1, x2 )
  // 
  // Parameters
  //   x1 : String of single-letter codes specifying a DNA sequence
  //   x2 : DNA word/substring
  //   y  : Proportion of DNA word
  // 
  // Description
  // To measure the proportion of a particular DNA word against the product of frequensies.
  // 
  // Examples
  // y = btd_rho("ATACCGATA","TA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015

    seq=mstr2sci(x)
    l=length(x)

    if(strindex(y, 'A') == [])
        fa = 1;
    else
        a = grep(seq, 'A')
        fa = length(a)
    end

    if(strindex(y, 'G') == [])
        fg = 1;
    else
        g = grep(seq, 'G')
        fg = length(g)
    end

    if(strindex(y, 'C') == [])
        fc = 1;
    else
        c = grep(seq, 'C')
        fc = length(c)
    end


    if(strindex(y, 'T') == [])
        ft = 1;
    else
        t = grep(seq, 'T')
        ft = length(t)
    end



    if fa == 0 then
        fa =1;
    end
    if fg == 0 then
        fg =1;
    end
    if fc == 0 then
        fc =1;
    end
    if ft == 0 then
        ft =1;
    end

    //freq of y
    s=strindex(x,y)
    fxy=length(s)


    ftot = fa * fg * fc * ft;
    rho=fxy/ftot;
    
endfunction
