function val = btd_rna2dna(n)
    
  // RNA to DNA
  // 
  // Calling Sequence
  //   y = btd_rna2dna ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a RNA sequence
  //   y : DNA sequence
  // 
  // Description
  // Convert RNA sequence to DNA sequence
  // 
  // Examples
  // y = btd_rna2dna('AGCUUGGCAAU')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015

    l = length(n);
    a = mstr2sci(n);
                  
    for i = 1:l
        if a(i) == 'U' then
            out(i) = 'T'
        else
            out(i) = a(i);
        end
    end   
    
    val = strcat(out);

endfunction
